Module | StringPortuguese
In: | vendor/plugins/brazilian-rails/lib/string_portuguese.rb

### Methods

nome_proprio remover_acentos

### Public Instance methods

nome_proprio()

Normaliza nomes proprios

Exemplo:

     'maria de souza dos santos e silva da costa'.nome_proprio ==> 'Maria de Souza dos Santos e Silva da Costa'

[Source]

       # File vendor/plugins/brazilian-rails/lib/string_portuguese.rb, line 6
    6:   def nome_proprio
    7:     self.titleize().gsub(/ D(a|e|o|as|os) /, ' d\1 ').gsub(/ E /, ' e ')
    8:   end

remover_acentos()

remove as letras acentuadas

Exemplo:

     'texto está com acentuação'.remover_acentos ==> 'texto esta com acentuacao'

[Source]

        # File vendor/plugins/brazilian-rails/lib/string_portuguese.rb, line 14
    14:   def remover_acentos
    15:     texto = self
    16:     texto = texto.gsub(/[á|à|ã|â|ä]/, 'a').gsub(/(é|è|ê|ë)/, 'e').gsub(/(í|ì|î|ï)/, 'i').gsub(/(ó|ò|õ|ô|ö)/, 'o').gsub(/(ú|ù|û|ü)/, 'u')
    17:     texto = texto.gsub(/(Á|À|Ã|Â|Ä)/, 'A').gsub(/(É|È|Ê|Ë)/, 'E').gsub(/(Í|Ì|Î|Ï)/, 'I').gsub(/(Ó|Ò|Õ|Ô|Ö)/, 'O').gsub(/(Ú|Ù|Û|Ü)/, 'U')
    18:     texto = texto.gsub(/ñ/, 'n').gsub(/Ñ/, 'N')
    19:     texto = texto.gsub(/ç/, 'c').gsub(/Ç/, 'C')
    20:     texto
    21:   end

[Validate]